Instalar pizarra digital SMART Board en Ubuntu 12.04

Para instalar las pizarras digital SMART Board tenemos la suerte de disponer de los controladores para Linux del mismo fabricante, podemos descargarlos desde su propia web (http://www.smarttech.com/es). Hay una cosa que debemos tener en cuenta, y es que este software es sólo para 32 bits.

El primer paso es conseguir la clave de producto, para eso, desde esta dirección http://smarttech.com/nb10productkey podremos obtenerlo a partir del número de serie de nuestra pizarra.

Una vez tengamos la clave de producto, nos descargamos los paquetes que necesitamos instalar desde smarttech.com/downloads (Software de aprendizaje colaborativo SMART Notebook 11 para Linux), en este caso he utilizado los paquetes Debian sin formato. Tendremos que rellenar un formulario y aceptar las condiciones EULA y comenzará la descarga, son unos 251MB.

Si la pizarra que queremos configurar es de la serie SB480, también deberemos descargar el archivo de destino NextWindow de entrada xf86.

Antes de continuar, debemos asegurarnos que disponemos de los siguientes paquetes instalados en nuestra máquina.

dkms dpkg dpkg-dev dpkg-deb dpkg-sig binutils gpg md5sum sha1sum sha256sum

Y los comandos sed, cut y tr, estos se da por sentado, pero comprobarlo.

Durante varias instalaciones, también me han hecho falta los siguientes paquetes.

fakeroot gcc gcc-4.6 libc-dev-bin libc6-dev libcurl3 libquadmath0 linux-libc-dev make manpages-dev

Una vez hayamos comprobado que tenemos todo lo que necesitamos, debemos descomprimir el fichero smart_software_deb_files.tar.gz y comprobar su integridad. Lo primero será importar la clave desde el fichero swbuild.asc con GPG y comprobar la huella.

$ sudo gpg --import swbuild.asc

Para continuar y poder firmar debemos tener una clave con la que establecer la validez, si no la tenemos, ejecutamos el siguiente comando y creamos una para la ocasión, elegimos la opción predeterminada y la generamos con una duración para un día.

$ sudo gpg --gen-key

Si nos dice que necesitamos más entropía, basta con abrir algunos programas en nuestro ordenador para que se vaya generando, una vez acabado, ya podemos cerrarlos.

Seguimos los pasos y listo, una vez que tengamos nuestra clave creada y la clave proporcionada por smarttech importada, debemos firmarla y establecer el nivel de confianza, para obtener un listado de las claves utilizamos el siguiente comando.

$ sudo gpg --list-keys

Éste nos mostrará nuestras claves en el equipo.

gpg: AVISO: propiedad insegura del archivo de configuración `/home/administrador/.gnupg/gpg.conf'
/home/administrador/.gnupg/pubring.gpg
--------------------------------------
pub   1024D/7DD63D3B 2010-01-12
uid                  SMART Technology (Build and Install Group) <swbuild@smarttech.com>
sub   4096g/E8C4726E 2010-01-12

Ahora debemos establecer el nivel de confianza, para identificarla utilizaremos el mail que aparece en el listado anterior <swbuild@smarttech.com>

$ sudo gpg --edit-key swbuild@smarttech.com
gpg: AVISO: propiedad insegura del archivo de configuración `/home/administrador/.gnupg/gpg.conf'
gpg (GnuPG) 1.4.11; Copyright (C) 2010 Free Software Foundation, Inc.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

pub  1024D/7DD63D3B  creado: 2010-01-12  [caduca: nunca     ]  uso: SC  
                     confianza: desconocido   validez: desconocido
sub  4096g/E8C4726E  creado: 2010-01-12  [caduca: nunca     ]  uso: E   
desconocido (1). SMART Technology (Build and Install Group) <swbuild@smarttech.com>

gpg>

Ya una vez dentro, para comprobar la huella digital (fingerprint) utilizamos el comando fpr, este nos debe mostrar algo parecido a las siguientes líneas.

gpg> fpr
pub   1024D/7DD63D3B 2010-01-12 SMART Technology (Build and Install Group) <swbuild@smarttech.com>
 Huella de clave primaria: 2907 DB4C CC5D 44D8 3694  5F8A BB8D 4237 7DD6 3D3B

Comprobamos la huella con la que aparece en la documentación (página 12) de Smarttech y si es correcta podemos continuar. Ahora ejecutamos el comando sign para firmarla y establecer la validez y el comando trust para indicar el nivel de confianza.

gpg> trust 
pub  1024D/7DD63D3B  creado: 2010-01-12  [caduca: nunca     ]  uso: SC  
                     confianza: desconocido   validez: desconocido
sub  4096g/E8C4726E  creado: 2010-01-12  [caduca: nunca     ]  uso: E   
desconocido (1). SMART Technology (Build and Install Group) <swbuild@smarttech.com>

Por favor, decida su nivel de confianza para que este usuario
verifique las claves de otros usuarios (mirando pasaportes,
comprobando huellas dactilares en diferentes fuentes...)

  1 = No lo sé o prefiero no decirlo
  2 = NO tengo confianza
  3 = Confío un poco
  4 = Confío totalmente
  5 = confío absolutamente
  m = volver al menú principal

¿Su decisión?

Una vez indicada la decisión, y aceptada, deberemos ver algo parecido a lo que aparece en las siguientes líneas, donde podemos ver la confianza y la validez de la clave.

pub  1024D/7DD63D3B  creado: 2010-01-12  [caduca: nunca     ]  uso: SC  
                     confianza: absoluta      validez: absoluta
sub  4096g/E8C4726E  creado: 2010-01-12  [caduca: nunca     ]  uso: E   
[  absoluta ] (1). SMART Technology (Build and Install Group) <swbuild@smarttech.com>

Terminados estos pasos ya podemos salir utilizando el comando quit.

Ahora ya podemos ejecutar el script para la validación de los ficheros descargados que encontramos dentro del paquete.

$ sudo ./validate.sh files

Una vez comprobados los paquetes, editamos el fichero customization para insertar la clave de producto obtenida en pasos anteriores, buscamos una siguiente línea como la que aquí se muestra y se sustituye el código por el nuestro.

export PRODUCT_KEY="NB-AAAAA-BBBBB-CCCCC-DDDDD"

Modificado ya el fichero, podemos ejecutar el siguiente script para personalizar todos los paquetes con nuestra clave.

$ sudo ./customize.sh files

Terminados estos pasos ya podemos instalar el software en nuestro ordenador, bastaría con ejecutar el siguiente comando.

$ sudo dpkg -i *.deb

Lo dejamos hacer, que tardará un rato, y cuando termine ya tendremos instalado el software en nuestra máquina.

Si al terminar nos encontramos con dependencias incumplidas podemos ejecutar el siguiente comando para resolverlo.

$ sudo apt-get -f install

Espero que os sea de utilidad.

Au!!

to share...Tweet about this on TwitterShare on FacebookShare on Google+Share on LinkedInPin on PinterestShare on RedditBuffer this pagePrint this page

25 comentarios en “Instalar pizarra digital SMART Board en Ubuntu 12.04

  1. muy bueno pero la clave que tenemos que poner en el EXPORT… despues del validate no me a quedado clara cual es, podrias ayudarme?
    Gracias

    • Gracias!!

      El tema de la clave depende del número de serie que tengas en la pizarra, y va asociado a ella para poder generar los paquetes, para solicitarla debes visitar esta URL -> http://smarttech.com/nb10productkey, indicar el número de serie de la pizarra y un mail de contacto para que te la envíen, son bastante rápidos.

      Espero haberte ayudado.

  2. Buenas Javier,

    ¡Muchas gracias por este completo artículo! Da gusto leer artículos tan bien explicados y directos, con contenido real y práctico al 200%.

    Saludos desde Benidorm.

  3. Hola Javier:
    Perdón por las fechas, pero ahora que disponía de tiempo me he puesto a trastear con ubuntu. La última versión la he instalado en mi ordenador, 13.04, y estoy intentado instalar el software de la pizarra Smart, la versión 11. Me da un error. He seguido todos los pasos, y aparentemente todo va bien hasta llegar a firmar. Cuando introduzco sign para firmar me da el mensaje siguiente: “clave secreta no disponible” he seguido con la instalación pero no se ha instalado correctamente. Por favor me puedes ayudar. Gracias

    • Hola,
      ¿estás con la versión de 32 bits de Ubuntu? lo digo porque en la versión de 64 bits no se puede, y otra cosa que tienes que tener es tu clave para poder firmar, lleva cuidado, un sólo cambio en la clave y ya no coincide.
      Ya me vas contando.

      • Hola de nuevo:
        Como te comenté voy a ir paso por paso y te voy comentando. De los paquetes que hay tenemos que tener instalados hay algunos que no me aparecen en el gestor de paquetes synaptic. Los que no me aparecen son: dpkg-deb, md5sum y sha1sum. Hay otro el gpg que no aparece, pero que sin embargo cuando hice la primera instalación e introducía el comando gpg en la terminal si que lo ejecutaba. Si no aparecen en el gestor no se como se pueden instalar. Otra cosa que quiero que tengas en cuenta es que nunca he utilizado linux. Ha sido este verano cuando me ha dado la idea de pasarme a linux, pero para ello tengo que poder llegar a instalar las herramientas con las que trabajo habitualmente y una de ellas es la pizarra. Por favor indícame que hacer para instalar los paquetes que faltan y seguir con la instalación. Un saludo.

        • Hola Javier:
          Falta poco para el inicio de curso y sigo sin poder instalar el Notebook. Creo que el problema lo tengo a la hora de ejecutar el comando sign. Podrías detallarme, por favor, como se ejecuta este comando. He leído otros artículos y parece que hay que poner la clave secreta y el archivo que hay que firmar, y me pierdo en este paso.
          Un saludo.

  4. Hola Javier:
    Es la versión de 32 bits. Respecto a lo de la clave, creo que es ahí donde esta el problema. No tengo clave y al generarla me da una, pero no se si realmente lo hago bien porque al estar finalizando todo el proceso de instalación leo en el terminal aparece el mensaje de que la clave secreta no esta disponible. Intentare hacerlo de nuevo siguiendo todos los pasos y te comentaré. Un saludo y gracias.

  5. Gracias por el artículo.

    SOlo tengo una dificultad: me quedo en este paso: sudo dpkg -i *.deb y ne sale el siguiente mensaje:
    dpkg: error processing *.deb (–install):
    cannot access archive: No such file or directory
    Errors were encountered while processing:
    *.deb
    Agradecería una ayuda porque en el colegio usamos el sistema ubuntu y estamos colgados con las pizarras.
    Un saludo y gracias: Asier

    • Hola Asier, perdona el retraso, el problema parece que se debe a que no encuentra los ficheros, si quieres ejecutar tal cual la instrucción debes estar en el mismo directorio que los ficheros.
      Un saludo.

  6. Soy una simple maestra de colegio de logopedia que tengo una pdi smart y me han puesto en el portatil lliurex (13 el mas nuevo) y mi hijo que ha acabado ahora la carrera me ha instalado el sofware notebook 11.Puedo usarlo con el raton de mi ordenador pero cuando lo conecta a la pdi solo proyecta la imagen no hace caso como pantalla táctil y no se si es que no puede funcionar y debemos poner un lliurex mas viejo o no sabemos.Ni sabe el del SAI ni el de la empresa informática del pueblo ni el coordinador tic.Yo no se informatica pero se que estamos ya a octubre y se me va a pasar el curso sin usar un recurso que conselleria ha instyalado pero no puedo usar.No se quien eres pero estoy investigando todo lo que puedo en internet incluso he escrito a smart y como veo que sabes bastante te agradeceria me escribas a mi correo si me puedes orientar pero en un lenguaje para tontos porque yo no se casi de informática .Te lo agradecería mucho ,por lo que yo se los centros específicos tienen pdi de smart pero usan una versión de lliurez mas vieja.Tampoco tiene mucho sentido que a nosotros nos pongan una version a sabiendas que no nos sirven las pizarras.
    Algunos de mis compañeros no tiene problemas porque tienen portatiles de windows con licencia pero yo tengo uno del centro y es con lliurex.Muchísimas gracias espero me contestes

    • Hola

      Es posible que instalases el programa notebook pero que no instalases los drivers

      Ve a synaptic y escribe en el buscador

      smart

      Veras que hay un paquete que pone:

      Drivers

      Si no está instalado, instálalo

      Saludos

  7. Felicidades por la explicación para instalar la PDI Smart; yo tengo instalado el software de la promethean http://gonzalezlopezjavier.blogspot.com.es/2012/05/activinspire-ubuntu.htm ) y ahora trato de instalar el smart.
    Lo estoy tratando de hacer con el nuevo Ubuntu 14.04 32bits y me genera problema en la primera orden (sudo gpg –import swbuild.asc) pues no me reconoce la orden; el paquete gnupg lo tengo y esto me deja bloqueado, no sé si lo has probado con la nueva versión LTS y si vas a actualizar las instrucciones de instalación probando (tambien) con la versión 11 de SMART.
    Muchas gracias.

  8. hola tengo este error al instalar la versión 10 de smart notebook sudo: ./validate.sh: orden no encontrada, ./customize.sh: orden no encontrada, dpkg: error al procesar *.deb (–install):
    no se puede acceder al archivo: No existe el archivo o el directorio
    Se encontraron errores al procesar:
    *.deb
    gracias por tu ayuda

    • Hola Elvis,
      Revisa los paquetes necesarios que tienes que instalar antes de empezar para poder ejecutar los scripts. Dice orden no encontrada, tratará de ejecutar algún comando que no tienes.

      Un saludo.

    • Hola, a día de hoy no está disponible para 64 bits según pone en la web de Smart.
      No he probado, quizá añadiendo las dependencias de 32 bits se pueda.

  9. Hola
    Estoy siguiendo los pasos y me da errores en los siguientes pasos:
    al poner sudo ./validate.sh files lo hace todo bien menos:
    nwfermi-0.6.5.0_i386.deb: La suma coincide
    sha256sum: ATENCIÓN: 10: líneas tienen un formato erróneo
    smart-activation_1.1.1181.1-1_i386.deb: La suma coincide
    sha256sum: ATENCIÓN: 10: líneas tienen un formato erróneo
    smart-common_10.3.1236.1-1_i386.deb: La suma coincide
    sha256sum: ATENCIÓN: 10: líneas tienen un formato erróneo
    smart-gallerysetup_1.3.1236.1-1_i386.deb: La suma coincide
    sha256sum: ATENCIÓN: 10: líneas tienen un formato erróneo
    smart-hwr_11.0.379.1-1_i386.deb: La suma coincide
    sha256sum: ATENCIÓN: 10: líneas tienen un formato erróneo
    smart-languagesetup_2.2.1191.4-1_i386.deb: La suma coincide
    sha256sum: ATENCIÓN: 10: líneas tienen un formato erróneo
    smart-notebook_11.0.379.0-1_i386.deb: La suma coincide
    sha256sum: ATENCIÓN: 10: líneas tienen un formato erróneo
    smart-product-drivers_11.0.379.1-1_i386.deb: La suma coincide
    sha256sum: ATENCIÓN: 10: líneas tienen un formato erróneo

    Posteriormente en el comando sudo ./customize.sh files:
    Rebuilding check sums
    gpg: no default secret key: clave secreta no disponible
    gpg: smart-activation_i386_sha256sum: clearsign failed: clave secreta no disponible
    gpg: no default secret key: clave secreta no disponible
    gpg: smart-common_i386_sha256sum: clearsign failed: clave secreta no disponible
    gpg: no default secret key: clave secreta no disponible
    gpg: smart-gallerysetup_i386_sha256sum: clearsign failed: clave secreta no disponible
    gpg: no default secret key: clave secreta no disponible
    gpg: smart-hwr_i386_sha256sum: clearsign failed: clave secreta no disponible
    gpg: no default secret key: clave secreta no disponible
    gpg: smart-languagesetup_i386_sha256sum: clearsign failed: clave secreta no disponible
    gpg: no default secret key: clave secreta no disponible
    gpg: smart-notebook_i386_sha256sum: clearsign failed: clave secreta no disponible
    gpg: no default secret key: clave secreta no disponible
    gpg: smart-product-drivers_i386_sha256sum: clearsign failed: clave secreta no disponible

    Y al instalar el software:
    dpkg: problemas de dependencias impiden la configuración de nwfermi:
    nwfermi depende de xf86-input-nextwindow; sin embargo:
    El paquete `xf86-input-nextwindow’ no está instalado.
    dpkg: error al procesar nwfermi (–install):
    problemas de dependencias – se deja sin configurar
    dpkg: problemas de dependencias impiden la configuración de smart-activation:
    smart-activation depende de libgl1-mesa-glx (>= 7.7.1); sin embargo:
    El paquete `libgl1-mesa-glx’ no está instalado.
    dpkg: error al procesar smart-activation (–install):
    problemas de dependencias – se deja sin configurar
    dpkg: problemas de dependencias impiden la configuración de smart-common:
    smart-common depende de libgl1-mesa-glx (>= 7.7.1); sin embargo:
    El paquete `libgl1-mesa-glx’ no está instalado.
    dpkg: error al procesar smart-common (–install):
    problemas de dependencias – se deja sin configurar
    dpkg: problemas de dependencias impiden la configuración de smart-gallerysetup:
    smart-gallerysetup depende de smart-common (>= 10.3.1236.1-1); sin embargo:
    El paquete `smart-common’ no está configurado todavía.
    smart-gallerysetup depende de libgl1-mesa-glx (>= 7.7.1); sin embargo:
    El paquete `libgl1-mesa-glx’ no está instalado.
    dpkg: error al procesar smart-gallerysetup (–install):
    problemas de dependencias – se deja sin configurar
    Configurando smart-hwr (11.0.379.1-1) …
    dpkg: problemas de dependencias impiden la configuración de smart-languagesetup:
    smart-languagesetup depende de smart-common (>= 10.3.1236.1-1); sin embargo:
    El paquete `smart-common’ no está configurado todavía.
    smart-languagesetup depende de libgl1-mesa-glx (>= 7.7.1); sin embargo:
    El paquete `libgl1-mesa-glx’ no está instalado.
    dpkg: error al procesar smart-languagesetup (–install):
    problemas de dependencias – se deja sin configurar
    dpkg: problemas de dependencias impiden la configuración de smart-notebook:
    smart-notebook depende de smart-common (>= 10.3.1236.1-1); sin embargo:
    El paquete `smart-common’ no está configurado todavía.
    smart-notebook depende de smart-gallerysetup (>= 1.3.1236.1-1); sin embargo:
    El paquete `smart-gallerysetup’ no está configurado todavía.
    smart-notebook depende de smart-activation (>= 1.1.1181.1-1); sin embargo:
    El paquete `smart-activation’ no está configurado todavía.
    smart-notebook depende de smart-languagesetup (>= 2.2.1191.4-1); sin embargo:
    El paquete `smart-languagesetup’ no está configurado todavía.
    smart-notebook depende de libgl1-mesa-glx (>= 7.7.1); sin embargo:
    El paquete `libgl1-mesa-glx’ no está instalado.
    dpkg: error al procesar smart-notebook (–install):
    problemas de dependencias – se deja sin configurar
    dpkg: problemas de dependencias impiden la configuración de smart-product-drivers:
    smart-product-drivers depende de smart-common (>= 10.3.1236.1-1); sin embargo:
    El paquete `smart-common’ no está configurado todavía.
    smart-product-drivers depende de smart-languagesetup (>= 2.2.1191.4-1); sin embargo:
    El paquete `smart-languagesetup’ no está configurado todavía.
    smart-product-drivers depende de libgl1-mesa-glx (>= 7.7.1); sin embargo:
    El paquete `libgl1-mesa-glx’ no está instalado.
    dpkg: error al procesar smart-product-drivers (–install):
    problemas de dependencias – se deja sin configurar
    Procesando disparadores para ureadahead …
    Procesando disparadores para man-db …
    Procesando disparadores para hicolor-icon-theme …
    Se encontraron errores al procesar:
    nwfermi
    smart-activation
    smart-common
    smart-gallerysetup
    smart-languagesetup
    smart-notebook
    smart-product-drivers

    ¿Donde puede estar el error? Ando perdido.
    Gracias

  10. Hola, trabajo en un IES con varias Smart Board y todos los ordenadores con Ubuntu y me ha venido muy, muy bien tu post!!! Muchísimas gracias!

    Para enriquecer el post, puedo comentar lo siguiente:
    Estuve cruzando correos con el fabricante para ver si podia instalar las Smart sobre Ubuntu 64 bits y me contestaron que para nada, que el software solamente funciona con 32 bits y la instalación sobre Ubuntu 12.04, que instalase sobre 12.04 y luego actualizase el sistema a 14.04. Empecé a hacerlo pero tuve problemas con ese rollo del gpg, verificación y demás, les pedí ayuda y me dijeron que ME AYUDARIAN SI PAGABA UN CONTRATO DE MANTENIMIENTO!!
    Fue cuando descubrí tu post y pude instalar sobre 12.04 y todo funcionó de maravilla.

    Traté de hacer lo que recomendó el fabricante: actualizar ahora a Ubuntu 14.04 32 bits, però falló la actualización (fallo del actualizador o de la conexión a internet o vete a saber, nada relacionado con la Smart) pero me dejo el sistema que no podía ni upgradar a 14.04 ni actualizar la 12, me fallaba el gestor de actualizaciones siempre. Aprovechando que todavía tenia la carpeta con los .deb para la Smart ya firmados y customizados, me la copié.
    Instalé al sistema Ubuntu 14.04 32 bits (tengo clones de particiones con Clonezilla) y me dispuse a instalar el software de la Smart que ya tenía preparado y al final lo conseguí, las cosas que tuve que hacer son:
    1.- Tener una copia de los .deb i demás de la Smart ya preparada desde un sistema con Ubuntu 12.04 32 bits, según tu post hasta el paso previo a instalar con sudo dpkg -i *.deb
    2.-Hay dos paquetes
    xf86-input-nextwindow-wheezy_0.3.4~wheezy1_i386.deb
    xf86-input-nextwindow-precise_0.3.4~precise1_i386.deb
    que deben ser lo mismo, pero uno para Ubuntu y el otro para debian, el de debian (el que lleva wheezy en el nombre le cambié la extensión para que no lo instalara.
    3.- Instal·lar el paquete libnspr4-0d desde los repositorios de Ubuntu. es una dependencia a satisfacer.
    4.- Otra dependencia necesaria es el paquete libudev0 pero éste ya no está en los repositorios de Ubuntu 14.04, por tanto lo bajé desde aquí y lo instalé con dpkg o con gdebi.
    5.- Ahora ja voy a la carpeta dónde tengo los paquetes firmados de la Smart y continuo con tu post consudo dpkg -i *.deb

    Por ahora me funciona perfecto, bastante mejor que mi antigua instalación (de unos 5 años) de Ubuntu 12.04 con la versión 10 de Smart. Si aparecen problemas lo comunicaré!

    Repito: muchas gracias por la compartición de conocimiento!

    • Hola. Excelente artículo. Yo también trabajo en una escuela. He instalado la última versión del software de Smart en Ubuntu 14.04 (bueno en la versión derivada Linkat 14.04) y las pizarras SB680 funcionan sin problema. Sin embargo, las SB480, no. En el caso de las SB480 también instalo el paquete xf86-input-nextwindow-precise_0.3.4~precise1_i386.deb y entonces se detecta correctamente la pizarra. Lo curioso es que la pizarra se deja calibrar pero luego no funciona. Si alguien ha resuelto el problema, les agradecería mucho que me dijera cómo.

      Gracias por adelantado. Un saludo.

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

* Copy This Password *

* Type Or Paste Password Here *

Uso de cookies

Este sitio web utiliza cookies para que usted tenga la mejor experiencia de usuario. Si continúa navegando está dando su consentimiento para la aceptación de las mencionadas cookies y la aceptación de nuestra política de cookies, pinche el enlace para mayor información.plugin cookies

ACEPTAR